/*******************************************************************************
*     This file is owned and controlled by Xilinx and must be used             *
*     solely for design, simulation, implementation and creation of            *
*     design files limited to Xilinx devices or technologies. Use              *
*     with non-Xilinx devices or technologies is expressly prohibited          *
*     and immediately terminates your license.                                 *
*                                                                              *
*     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"            *
*     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                  *
*     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION          *
*     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION              *
*     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS                *
*     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                  *
*     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE         *
*     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY                 *
*     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                  *
*     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR           *
*     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF          *
*     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS          *
*     FOR A PARTICULAR PURPOSE.                                                *
*                                                                              *
*     Xilinx products are not intended for use in life support                 *
*     appliances, devices, or systems. Use in such applications are            *
*     expressly prohibited.                                                    *
*                                                                              *
*     (c) Copyright 1995-2007 Xilinx, Inc.                                     *
*     All rights reserved.                                                     *
*******************************************************************************/
// The synthesis directives "translate_off/translate_on" specified below are
// supported by Xilinx, Mentor Graphics and Synplicity synthesis
// tools. Ensure they are correct for your synthesis tool(s).

// You must compile the wrapper file asr_70_v2p_f089efcdbda572f6.v when simulating
// the core, asr_70_v2p_f089efcdbda572f6. When compiling the wrapper file, be sure to
// reference the XilinxCoreLib Verilog simulation library. For detailed
// instructions, please refer to the "CORE Generator Help".

`timescale 1ns/1ps

module asr_70_v2p_f089efcdbda572f6(
	CLK,
	D,
	Q,
	A,
	CE);


input CLK;
input [7 : 0] D;
output [7 : 0] Q;
input [2 : 0] A;
input CE;

// synthesis translate_off

      C_SHIFT_RAM_V7_0 #(
		.C_ADDR_WIDTH(3),
		.C_AINIT_VAL("00000000"),
		.C_DEFAULT_DATA("0"),
		.C_DEFAULT_DATA_RADIX(2),
		.C_DEPTH(8),
		.C_ENABLE_RLOCS(0),
		.C_GENERATE_MIF(1),
		.C_HAS_A(1),
		.C_HAS_ACLR(0),
		.C_HAS_AINIT(0),
		.C_HAS_ASET(0),
		.C_HAS_CE(1),
		.C_HAS_SCLR(0),
		.C_HAS_SINIT(0),
		.C_HAS_SSET(0),
		.C_MEM_INIT_FILE("asr_70_v2p_f089efcdbda572f6.mif"),
		.C_MEM_INIT_RADIX(1),
		.C_READ_MIF(1),
		.C_REG_LAST_BIT(0),
		.C_SHIFT_TYPE(1),
		.C_SINIT_VAL("00000000"),
		.C_SYNC_ENABLE(0),
		.C_SYNC_PRIORITY(0),
		.C_WIDTH(8))
	inst (
		.CLK(CLK),
		.D(D),
		.Q(Q),
		.A(A),
		.CE(CE),
		.SCLR(),
		.SINIT(),
		.SSET(),
		.ACLR(),
		.AINIT(),
		.ASET());


// synthesis translate_on

endmodule

