--------------------------------------------------------------------------------
--     This file is owned and controlled by Xilinx and must be used           --
--     solely for design, simulation, implementation and creation of          --
--     design files limited to Xilinx devices or technologies. Use            --
--     with non-Xilinx devices or technologies is expressly prohibited        --
--     and immediately terminates your license.                               --
--                                                                            --
--     XILINX IS PROVIDING THIS DESIGN, CODE, OR INFORMATION "AS IS"          --
--     SOLELY FOR USE IN DEVELOPING PROGRAMS AND SOLUTIONS FOR                --
--     XILINX DEVICES.  BY PROVIDING THIS DESIGN, CODE, OR INFORMATION        --
--     AS ONE POSSIBLE IMPLEMENTATION OF THIS FEATURE, APPLICATION            --
--     OR STANDARD, XILINX IS MAKING NO REPRESENTATION THAT THIS              --
--     IMPLEMENTATION IS FREE FROM ANY CLAIMS OF INFRINGEMENT,                --
--     AND YOU ARE RESPONSIBLE FOR OBTAINING ANY RIGHTS YOU MAY REQUIRE       --
--     FOR YOUR IMPLEMENTATION.  XILINX EXPRESSLY DISCLAIMS ANY               --
--     WARRANTY WHATSOEVER WITH RESPECT TO THE ADEQUACY OF THE                --
--     IMPLEMENTATION, INCLUDING BUT NOT LIMITED TO ANY WARRANTIES OR         --
--     REPRESENTATIONS THAT THIS IMPLEMENTATION IS FREE FROM CLAIMS OF        --
--     INFRINGEMENT, IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS        --
--     FOR A PARTICULAR PURPOSE.                                              --
--                                                                            --
--     Xilinx products are not intended for use in life support               --
--     appliances, devices, or systems. Use in such applications are          --
--     expressly prohibited.                                                  --
--                                                                            --
--     (c) Copyright 1995-2007 Xilinx, Inc.                                   --
--     All rights reserved.                                                   --
--------------------------------------------------------------------------------
-- You must compile the wrapper file asr_70_v2p_f089efcdbda572f6.vhd when simulating
-- the core, asr_70_v2p_f089efcdbda572f6. When compiling the wrapper file, be sure to
-- reference the XilinxCoreLib VHDL simulation library. For detailed
-- instructions, please refer to the "CORE Generator Help".

-- The synthesis directives "translate_off/translate_on" specified
-- below are supported by Xilinx, Mentor Graphics and Synplicity
-- synthesis tools. Ensure they are correct for your synthesis tool(s).

LIBRARY ieee;
USE ieee.std_logic_1164.ALL;
-- synthesis translate_off
Library XilinxCoreLib;
-- synthesis translate_on
ENTITY asr_70_v2p_f089efcdbda572f6 IS
	port (
	CLK: IN std_logic;
	D: IN std_logic_VECTOR(7 downto 0);
	Q: OUT std_logic_VECTOR(7 downto 0);
	A: IN std_logic_VECTOR(2 downto 0);
	CE: IN std_logic);
END asr_70_v2p_f089efcdbda572f6;

ARCHITECTURE asr_70_v2p_f089efcdbda572f6_a OF asr_70_v2p_f089efcdbda572f6 IS
-- synthesis translate_off
component wrapped_asr_70_v2p_f089efcdbda572f6
	port (
	CLK: IN std_logic;
	D: IN std_logic_VECTOR(7 downto 0);
	Q: OUT std_logic_VECTOR(7 downto 0);
	A: IN std_logic_VECTOR(2 downto 0);
	CE: IN std_logic);
end component;

-- Configuration specification 
	for all : wrapped_asr_70_v2p_f089efcdbda572f6 use entity XilinxCoreLib.C_SHIFT_RAM_V7_0(behavioral)
		generic map(
			c_has_aset => 0,
			c_read_mif => 1,
			c_has_a => 1,
			c_sync_priority => 0,
			c_has_sclr => 0,
			c_width => 8,
			c_enable_rlocs => 0,
			c_default_data_radix => 2,
			c_ainit_val => "00000000",
			c_generate_mif => 1,
			c_has_ce => 1,
			c_has_aclr => 0,
			c_sync_enable => 0,
			c_depth => 8,
			c_mem_init_radix => 1,
			c_has_ainit => 0,
			c_sinit_val => "00000000",
			c_has_sset => 0,
			c_has_sinit => 0,
			c_mem_init_file => "asr_70_v2p_f089efcdbda572f6.mif",
			c_shift_type => 1,
			c_default_data => "0",
			c_reg_last_bit => 0,
			c_addr_width => 3);
-- synthesis translate_on
BEGIN
-- synthesis translate_off
U0 : wrapped_asr_70_v2p_f089efcdbda572f6
		port map (
			CLK => CLK,
			D => D,
			Q => Q,
			A => A,
			CE => CE);
-- synthesis translate_on

END asr_70_v2p_f089efcdbda572f6_a;

