
open(PIDFILE, '> pidfile.txt') || die 'Couldn\'t write process ID to file.';
print PIDFILE "$$\n";
close(PIDFILE);

eval {
  # Call script(s).
  my $instrs;
  my $results = [];
$ENV{'SYSGEN'} = 'D:/SYSGEN/sysgen';
  use Sg;
  $instrs = {
    'base_system_period_hardware' => 10.0,
    'base_system_period_simulink' => 0.2,
    'block_icon_display' => 'Default',
    'ce_clr' => 0.0,
    'clock_loc' => 'Fixed',
    'clocksGcd' => 1.0,
    'compilation' => 'XUP Virtex-II pro',
    'compilation_lut' => {
      'keys' => [
        'HDL Netlist',
        'XUP Virtex-II pro',
      ],
      'values' => [
        'target1',
        'target2',
      ],
    },
    'core_generation' => 1.0,
    'coregenPartFamily' => 'virtex2p',
    'coregen_part_family' => 'Virtex2P',
    'createTestbench' => 0,
    'dbl_ovrd' => -1.0,
    'deprecated_control' => 'off',
    'design' => 'edgePenh',
    'design_full_path' => 'D:\\SYSGEN\\common\\edgePenh.mdl',
    'device' => 'xc2vp30-7ff896',
    'directory' => 'D:\\SYSGEN\\common\\edgePenh_tb',
    'disregard_netlist_subystem_handles' => undef,
    'eval_field' => '0',
    'fileDeliveryDefaults' => [
      [
        '(?i)\\.vhd$',
        { 'fileName' => 'D:/SYSGEN/common/edgePenh_tb/sysgen/perl_results.vhd', },
      ],
      [
        '(?i)\\.v$',
        { 'fileName' => 'D:/SYSGEN/common/edgePenh_tb/sysgen/perl_results.v', },
      ],
    ],
    'fxdptinstalled' => 1.0,
    'gcc_exe' => 'D:/xilinx/gnu/MinGW/2.0.0-3/nt/bin/gcc.exe',
    'generateUsing71FrontEnd' => 1,
    'getimportblock_fcn' => 'xlGetHwcosimBlockName',
    'hdlDir' => 'D:/SYSGEN/sysgen/hdl',
    'hdlKind' => 'vhdl',
    'incr_netlist' => 'off',
    'ise_full_version' => '9.2.04i',
    'ise_version' => '9.2i',
    'master_sysgen_token_handle' => 2252.0015869140625,
    'matlab' => 'D:/Program Files/MATLAB/R2007a',
    'matlabJavaDirectory' => 'D:/Program Files/MATLAB/R2007a/sys/java/jre/win32/jre1.4.2/bin',
    'matlabPerlDirectory' => 'D:/Program Files/MATLAB/R2007a/sys/perl/win32/bin/',
    'mdlHandle' => 1849.001220703125,
    'mdlPath' => 'D:/SYSGEN/common/edgePenh.mdl',
    'modelDiagnostics' => [
      {
        'count' => 176.0,
        'isMask' => 0.0,
        'type' => 'edgePenh Total blocks',
      },
      {
        'count' => 2.0,
        'isMask' => 0.0,
        'type' => 'DiscretePulseGenerator',
      },
      {
        'count' => 1.0,
        'isMask' => 0.0,
        'type' => 'FromWorkspace',
      },
      {
        'count' => 31.0,
        'isMask' => 0.0,
        'type' => 'Inport',
      },
      {
        'count' => 21.0,
        'isMask' => 0.0,
        'type' => 'Outport',
      },
      {
        'count' => 100.0,
        'isMask' => 0.0,
        'type' => 'S-Function',
      },
      {
        'count' => 18.0,
        'isMask' => 0.0,
        'type' => 'SubSystem',
      },
      {
        'count' => 2.0,
        'isMask' => 0.0,
        'type' => 'Terminator',
      },
      {
        'count' => 1.0,
        'isMask' => 0.0,
        'type' => 'ToWorkspace',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => '5x5 Filter',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Virtex2 5 Line Buffer',
      },
      {
        'count' => 4.0,
        'isMask' => 1.0,
        'type' => 'Virtex2 Line Buffer',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Accumulator Block',
      },
      {
        'count' => 6.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Adder/Subtractor Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Addressable Shift Register Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Arithmetic Relational Operator Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Bit Slice Extractor Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Bus Multiplexer Block',
      },
      {
        'count' => 11.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Constant Block Block',
      },
      {
        'count' => 2.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Constant Multiplier Block',
      },
      {
        'count' => 9.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Counter Block',
      },
      {
        'count' => 20.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Delay Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Down Sampler Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Gateway In Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Gateway Out Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Multiplier Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Negate Block Block',
      },
      {
        'count' => 11.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Register Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Resource Estimator Block',
      },
      {
        'count' => 4.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Single Port Random Access Memory Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Single Port Read-Only Memory Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx System Generator Block',
      },
      {
        'count' => 1.0,
        'isMask' => 1.0,
        'type' => 'Xilinx Type Converter Block',
      },
      {
        'count' => 5.0,
        'isMask' => 1.0,
        'type' => 'n-tap MAC FIR Filter',
      },
    ],
    'myxilinx' => '',
    'package' => 'ff896',
    'part' => 'xc2vp30',
    'partFamily' => 'virtex2p',
    'port_data_types_enabled' => 1.0,
    'postgeneration_fcn' => 'xup_virtex_ii_pro_postgeneration',
    'precompile_fcn' => 'xlJTAGPreCompile',
    'preserveHierarchy' => 0.0,
    'preserve_hierarchy' => 0.0,
    'provideGlobalCEClr' => 0.0,
    'run_coregen' => 'off',
    'sample_time_colors_enabled' => 0.0,
    'settings_fcn' => 'xlJTAGXFlowSettings',
    'simulation_island_subsystem_handle' => 1849.001220703125,
    'simulation_status' => 0.0,
    'simulink_accelerator_running' => 0.0,
    'simulink_debugger_running' => 0.0,
    'simulink_period' => '1/5',
    'speed' => '-7',
    'startTime' => '0.0',
    'start_time' => 0.0,
    'stopTime' => '230*300+2*230+30',
    'synthesisTool' => 'XST',
    'synthesis_language' => 'vhdl',
    'synthesis_tool' => 'XST',
    'sysclk_period' => '10',
    'sysgen' => 'D:/SYSGEN/sysgen',
    'sysgenTokenSettings' => {
      'settings' => {
        'base_system_period_hardware' => 10.0,
        'base_system_period_simulink' => 0.2,
        'block_icon_display' => 'Default',
        'ce_clr' => 0.0,
        'clock_loc' => 'Fixed',
        'compilation' => 'XUP Virtex-II pro',
        'compilation_lut' => {
          'keys' => [
            'HDL Netlist',
            'XUP Virtex-II pro',
          ],
          'values' => [
            'target1',
            'target2',
          ],
        },
        'core_generation' => 1.0,
        'coregen_part_family' => 'Virtex2P',
        'dbl_ovrd' => -1.0,
        'deprecated_control' => 'off',
        'directory' => 'D:/SYSGEN/common/edgePenh_tb',
        'eval_field' => '0',
        'getimportblock_fcn' => 'xlGetHwcosimBlockName',
        'incr_netlist' => 'off',
        'master_sysgen_token_handle' => 2252.0015869140625,
        'package' => 'ff896',
        'part' => 'xc2vp30',
        'postgeneration_fcn' => 'xup_virtex_ii_pro_postgeneration',
        'precompile_fcn' => 'xlJTAGPreCompile',
        'preserve_hierarchy' => 0.0,
        'run_coregen' => 'off',
        'settings_fcn' => 'xlJTAGXFlowSettings',
        'simulation_island_subsystem_handle' => 1849.001220703125,
        'simulink_period' => '1/5',
        'speed' => '-7',
        'synthesis_language' => 'vhdl',
        'synthesis_tool' => 'XST',
        'sysclk_period' => '10',
        'testbench' => 0,
        'trim_vbits' => 1.0,
        'xilinx_device' => 'xc2vp30-7ff896',
        'xilinxfamily' => 'virtex2p',
      },
    },
    'systemClockPeriod' => 10.0,
    'tempdir' => 'D:/DOCUME~1/student/LOCALS~1/Temp',
    'testbench' => 0,
    'tmpDir' => 'D:/SYSGEN/common/edgePenh_tb/sysgen',
    'trim_vbits' => 1.0,
    'use_strict_names' => 1,
    'user_tips_enabled' => 0.0,
    'using71Netlister' => 1,
    'verilog_files' => [
      { 'source' => 'conv_pkg.v', },
      { 'source' => 'synth_reg.v', },
      { 'source' => 'synth_reg_w_init.v', },
      { 'source' => 'convert_type.v', },
      { 'source' => 'xlpersistentdff.ngc', },
    ],
    'version' => '9.2.00.967',
    'vhdl_files' => [
      { 'source' => 'conv_pkg.vhd', },
      { 'source' => 'synth_reg.vhd', },
      { 'source' => 'synth_reg_w_init.vhd', },
      { 'source' => 'xlpersistentdff.ngc', },
    ],
    'vsimtime' => '3474750.000000 ns',
    'xilinx' => 'D:/xilinx',
    'xilinx_device' => 'xc2vp30-7ff896',
    'xilinxfamily' => 'virtex2p',
  };
  push(@$results, &Sg::setAttributes($instrs));
  use SgDeliverFile;
  $instrs = {
    'collaborationName' => 'conv_pkg.vhd',
    'sourceFile' => 'hdl/conv_pkg.vhd',
    'templateKeyValues' => {},
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'collaborationName' => 'synth_reg.vhd',
    'sourceFile' => 'hdl/synth_reg.vhd',
    'templateKeyValues' => {},
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'collaborationName' => 'synth_reg_w_init.vhd',
    'sourceFile' => 'hdl/synth_reg_w_init.vhd',
    'templateKeyValues' => {},
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'collaborationName' => 'xlpersistentdff.ngc',
    'sourceFile' => 'hdl/xlpersistentdff.ngc',
    'templateKeyValues' => {},
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => 'b457ea0bab1921af076ad081856401a5',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
  signal sel_1_20: unsigned((1 - 1) downto 0);
  signal d0_1_24: signed((13 - 1) downto 0);
  signal d1_1_27: signed((14 - 1) downto 0);
  type array_type_pipe_16_22 is array (0 to (1 - 1)) of signed((14 - 1) downto 0);
  signal pipe_16_22: array_type_pipe_16_22 := (
    0 => "00000000000000");
  signal pipe_16_22_front_din: signed((14 - 1) downto 0);
  signal pipe_16_22_back: signed((14 - 1) downto 0);
  signal pipe_16_22_push_front_pop_back_en: std_logic;
  signal unregy_join_6_1: signed((14 - 1) downto 0);
begin
  sel_1_20 <= std_logic_vector_to_unsigned(sel);
  d0_1_24 <= std_logic_vector_to_signed(d0);
  d1_1_27 <= std_logic_vector_to_signed(d1);
  pipe_16_22_back <= pipe_16_22(0);
  proc_pipe_16_22: process (clk)
  is
    variable i: integer;
  begin
    if (clk\'event and (clk = \'1\')) then
      if ((ce = \'1\') and (pipe_16_22_push_front_pop_back_en = \'1\')) then
        pipe_16_22(0) <= pipe_16_22_front_din;
      end if;
    end if;
  end process proc_pipe_16_22;
  proc_switch_6_1: process (d0_1_24, d1_1_27, sel_1_20)
  is
  begin
    case sel_1_20 is 
      when "0" =>
        unregy_join_6_1 <= s2s_cast(d0_1_24, 0, 14, 0);
      when others =>
        unregy_join_6_1 <= d1_1_27;
    end case;
  end process proc_switch_6_1;
  pipe_16_22_front_din <= unregy_join_6_1;
  pipe_16_22_push_front_pop_back_en <= \'1\';
  y <= signed_to_std_logic_vector(pipe_16_22_back);
end',
      'crippled_entity' => 'is
  port (
    sel : in std_logic_vector((1 - 1) downto 0);
    d0 : in std_logic_vector((13 - 1) downto 0);
    d1 : in std_logic_vector((14 - 1) downto 0);
    y : out std_logic_vector((14 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'mux_ebc95f071a',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = {
    'entity_declaration_hash' => '8603c33eb19a035c2f94143b74a912a1',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
  signal ip_17_25: signed((13 - 1) downto 0);
  type array_type_op_mem_41_20 is array (0 to (1 - 1)) of signed((14 - 1) downto 0);
  signal op_mem_41_20: array_type_op_mem_41_20 := (
    0 => "00000000000000");
  signal op_mem_41_20_front_din: signed((14 - 1) downto 0);
  signal op_mem_41_20_back: signed((14 - 1) downto 0);
  signal op_mem_41_20_push_front_pop_back_en: std_logic;
  signal cast_29_16: signed((14 - 1) downto 0);
  signal internal_ip_29_1_neg: signed((14 - 1) downto 0);
begin
  ip_17_25 <= std_logic_vector_to_signed(ip);
  op_mem_41_20_back <= op_mem_41_20(0);
  proc_op_mem_41_20: process (clk)
  is
    variable i: integer;
  begin
    if (clk\'event and (clk = \'1\')) then
      if ((ce = \'1\') and (op_mem_41_20_push_front_pop_back_en = \'1\')) then
        op_mem_41_20(0) <= op_mem_41_20_front_din;
      end if;
    end if;
  end process proc_op_mem_41_20;
  cast_29_16 <= s2s_cast(ip_17_25, 0, 14, 0);
  internal_ip_29_1_neg <=  -cast_29_16;
  op_mem_41_20_front_din <= internal_ip_29_1_neg;
  op_mem_41_20_push_front_pop_back_en <= \'1\';
  op <= signed_to_std_logic_vector(op_mem_41_20_back);
end',
      'crippled_entity' => 'is
  port (
    ip : in std_logic_vector((13 - 1) downto 0);
    op : out std_logic_vector((14 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'negate_938915fa7e',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlslice.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => 'f6c9834353d87402e78f2ea4923fc825',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
  signal b_17_24: signed((9 - 1) downto 0);
  signal rst_17_27: boolean;
  signal accum_reg_41_23: signed((9 - 1) downto 0) := "000000000";
  signal accum_reg_41_23_rst: std_logic;
  signal accum_reg_join_47_1: signed((10 - 1) downto 0);
  signal accum_reg_join_47_1_rst: std_logic;
begin
  b_17_24 <= std_logic_vector_to_signed(b);
  rst_17_27 <= ((rst) = "1");
  proc_accum_reg_41_23: process (clk)
  is
  begin
    if (clk\'event and (clk = \'1\')) then
      if ((ce = \'1\') and (accum_reg_41_23_rst = \'1\')) then
        accum_reg_41_23 <= b_17_24;
      elsif (ce = \'1\') then 
        accum_reg_41_23 <= accum_reg_41_23 + b_17_24;
      end if;
    end if;
  end process proc_accum_reg_41_23;
  proc_if_47_1: process (accum_reg_41_23, b_17_24, rst_17_27)
  is
  begin
    if rst_17_27 then
      accum_reg_join_47_1_rst <= \'1\';
    else 
      accum_reg_join_47_1_rst <= \'0\';
    end if;
  end process proc_if_47_1;
  accum_reg_41_23_rst <= accum_reg_join_47_1_rst;
  q <= signed_to_std_logic_vector(accum_reg_41_23);
end',
      'crippled_entity' => 'is
  port (
    b : in std_logic_vector((9 - 1) downto 0);
    rst : in std_logic_vector((1 - 1) downto 0);
    q : out std_logic_vector((9 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'accumulator_620e80e3aa',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  use SgGenerateCores;
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 10.0',
    '# 9.2.04i',
    'CSET ccmimp = Distributed_Memory',
    'CSET clockenable = true',
    'CSET constvalue = 129',
    'CSET dynamic_constant_reload = false',
    'CSET multiplier_construction = Use_Mults',
    'CSET multtype = Parallel_Multiplier',
    'CSET optgoal = Speed',
    'CSET outputwidthhigh = 13',
    'CSET outputwidthlow = 0',
    'CSET pipestages = 2',
    'CSET portatype = Unsigned',
    'CSET portawidth = 8',
    'CSET portbtype = Signed',
    'CSET portbwidth = 6',
    'CSET reloadable = false',
    'CSET roundpoint = 0',
    'CSET sclrcepriority = CE_Overrides_SCLR',
    'CSET syncclear = true',
    'CSET use_custom_output_width = false',
    'CSET userounding = false',
    'CSET zerodetect = false',
    'CSET component_name = multiplier_virtex2p_10_0_102eaf484ea01e39',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlmult_v9_0.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      b: in std_logic_vector(c_b_width - 1 downto 0);
      p: out std_logic_vector(c_output_width - 1 downto 0);
      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '        a => tmp_a,
        clk => clk,
        ce => internal_ce,
        sclr => internal_clr,
        p => tmp_p,
        b => tmp_b',
      'core_name0' => 'multiplier_virtex2p_10_0_102eaf484ea01e39',
      'entity_name.0' => 'xlmult_v9_0',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT RAM-based_Shift_Register Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_init_value = 0',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET create_rpm = false',
    'CSET data_width = 8',
    'CSET default_data_radix = 2',
    'CSET depth = 8',
    'CSET register_final_bit = false',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET shift_type = Variable_Length_Lossless',
    'CSET synchronous_init_value = 0',
    'CSET synchronous_settings = none',
    'CSET component_name = asr_70_v2p_f089efcdbda572f6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdrsr.vhd',
    'templateKeyValues' => {
      'core_instance_text' => '',
      'core_name0' => 'asr_70_v2p_f089efcdbda572f6',
      'entity_name.0' => 'xladdrsr',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 5',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_pin = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_Only',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 6',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_After_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_7d992e82f841c975',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlsprom.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => core_addr,
        clk => clk,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_7d992e82f841c975',
      'entity_name.0' => 'xlsprom',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => '963ed6358ae80682907ffb10bb624624',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
begin
  op <= "0";
end',
      'crippled_entity' => 'is
  port (
    op : out std_logic_vector((1 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'constant_0_4750a0be1f',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 3',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_2678e693f726e29c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_2678e693f726e29c',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldsamp.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => '0ac5056ef65667fcb08a6d50b12c20e3',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
  signal a_1_31: unsigned((3 - 1) downto 0);
  signal b_1_34: unsigned((1 - 1) downto 0);
  type array_type_op_mem_32_22 is array (0 to (3 - 1)) of boolean;
  signal op_mem_32_22: array_type_op_mem_32_22 := (
    false,
    false,
    false);
  signal op_mem_32_22_front_din: boolean;
  signal op_mem_32_22_back: boolean;
  signal op_mem_32_22_push_front_pop_back_en: std_logic;
  signal cast_12_17: unsigned((3 - 1) downto 0);
  signal result_12_3_rel: boolean;
begin
  a_1_31 <= std_logic_vector_to_unsigned(a);
  b_1_34 <= std_logic_vector_to_unsigned(b);
  op_mem_32_22_back <= op_mem_32_22(2);
  proc_op_mem_32_22: process (clk)
  is
    variable i: integer;
  begin
    if (clk\'event and (clk = \'1\')) then
      if ((ce = \'1\') and (op_mem_32_22_push_front_pop_back_en = \'1\')) then
        for i in 2 downto 1 loop 
          op_mem_32_22(i) <= op_mem_32_22(i-1);
        end loop;
        op_mem_32_22(0) <= op_mem_32_22_front_din;
      end if;
    end if;
  end process proc_op_mem_32_22;
  cast_12_17 <= u2u_cast(b_1_34, 0, 3, 0);
  result_12_3_rel <= a_1_31 = cast_12_17;
  op_mem_32_22_front_din <= result_12_3_rel;
  op_mem_32_22_push_front_pop_back_en <= \'1\';
  op <= boolean_to_vector(op_mem_32_22_back);
end',
      'crippled_entity' => 'is
  port (
    a : in std_logic_vector((3 - 1) downto 0);
    b : in std_logic_vector((1 - 1) downto 0);
    op : out std_logic_vector((1 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'relational1_4c0cd11c3f',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => 'eb1a932ae589626cc8fd14b952a29f7b',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
  signal b_17_24: signed((9 - 1) downto 0);
  signal rst_17_27: boolean;
  signal accum_reg_41_23: signed((10 - 1) downto 0) := "0000000000";
  signal accum_reg_41_23_rst: std_logic;
  signal cast_51_42: signed((10 - 1) downto 0);
  signal accum_reg_join_47_1: signed((11 - 1) downto 0);
  signal accum_reg_join_47_1_rst: std_logic;
  signal cast_x_000000: signed((10 - 1) downto 0);
begin
  b_17_24 <= std_logic_vector_to_signed(b);
  rst_17_27 <= ((rst) = "1");
  proc_accum_reg_41_23: process (clk)
  is
  begin
    if (clk\'event and (clk = \'1\')) then
      if ((ce = \'1\') and (accum_reg_41_23_rst = \'1\')) then
        accum_reg_41_23 <= cast_x_000000;
      elsif (ce = \'1\') then 
        accum_reg_41_23 <= accum_reg_41_23 + cast_51_42;
      end if;
    end if;
  end process proc_accum_reg_41_23;
  cast_51_42 <= s2s_cast(b_17_24, 0, 10, 0);
  proc_if_47_1: process (accum_reg_41_23, cast_51_42, rst_17_27)
  is
  begin
    if rst_17_27 then
      accum_reg_join_47_1_rst <= \'1\';
    else 
      accum_reg_join_47_1_rst <= \'0\';
    end if;
  end process proc_if_47_1;
  cast_x_000000 <= s2s_cast(b_17_24, 0, 10, 0);
  accum_reg_41_23_rst <= accum_reg_join_47_1_rst;
  q <= signed_to_std_logic_vector(accum_reg_41_23);
end',
      'crippled_entity' => 'is
  port (
    b : in std_logic_vector((9 - 1) downto 0);
    rst : in std_logic_vector((1 - 1) downto 0);
    q : out std_logic_vector((10 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'accumulator_2f069492a5',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 10.0',
    '# 9.2.04i',
    'CSET ccmimp = Distributed_Memory',
    'CSET clockenable = true',
    'CSET constvalue = 129',
    'CSET dynamic_constant_reload = false',
    'CSET multiplier_construction = Use_Mults',
    'CSET multtype = Parallel_Multiplier',
    'CSET optgoal = Speed',
    'CSET outputwidthhigh = 13',
    'CSET outputwidthlow = 0',
    'CSET pipestages = 2',
    'CSET portatype = Unsigned',
    'CSET portawidth = 8',
    'CSET portbtype = Signed',
    'CSET portbwidth = 6',
    'CSET reloadable = false',
    'CSET roundpoint = 0',
    'CSET sclrcepriority = CE_Overrides_SCLR',
    'CSET syncclear = true',
    'CSET use_custom_output_width = false',
    'CSET userounding = false',
    'CSET zerodetect = false',
    'CSET component_name = multiplier_virtex2p_10_0_102eaf484ea01e39',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlmult_v9_0.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      b: in std_logic_vector(c_b_width - 1 downto 0);
      p: out std_logic_vector(c_output_width - 1 downto 0);
      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '        a => tmp_a,
        clk => clk,
        ce => internal_ce,
        sclr => internal_clr,
        p => tmp_p,
        b => tmp_b',
      'core_name0' => 'multiplier_virtex2p_10_0_102eaf484ea01e39',
      'entity_name.0' => 'xlmult_v9_0',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT RAM-based_Shift_Register Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_init_value = 0',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET create_rpm = false',
    'CSET data_width = 8',
    'CSET default_data_radix = 2',
    'CSET depth = 8',
    'CSET register_final_bit = false',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET shift_type = Variable_Length_Lossless',
    'CSET synchronous_init_value = 0',
    'CSET synchronous_settings = none',
    'CSET component_name = asr_70_v2p_f089efcdbda572f6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdrsr.vhd',
    'templateKeyValues' => {
      'core_instance_text' => '',
      'core_name0' => 'asr_70_v2p_f089efcdbda572f6',
      'entity_name.0' => 'xladdrsr',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 3F, 3F, 0, 0;',
    '
]',
    'CSET depth = 5',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_pin = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_Only',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 6',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_After_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_837199ed636893a6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlsprom.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => core_addr,
        clk => clk,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_837199ed636893a6',
      'entity_name.0' => 'xlsprom',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 3',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_2678e693f726e29c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_2678e693f726e29c',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldsamp.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 10.0',
    '# 9.2.04i',
    'CSET ccmimp = Distributed_Memory',
    'CSET clockenable = true',
    'CSET constvalue = 129',
    'CSET dynamic_constant_reload = false',
    'CSET multiplier_construction = Use_Mults',
    'CSET multtype = Parallel_Multiplier',
    'CSET optgoal = Speed',
    'CSET outputwidthhigh = 13',
    'CSET outputwidthlow = 0',
    'CSET pipestages = 2',
    'CSET portatype = Unsigned',
    'CSET portawidth = 8',
    'CSET portbtype = Signed',
    'CSET portbwidth = 6',
    'CSET reloadable = false',
    'CSET roundpoint = 0',
    'CSET sclrcepriority = CE_Overrides_SCLR',
    'CSET syncclear = true',
    'CSET use_custom_output_width = false',
    'CSET userounding = false',
    'CSET zerodetect = false',
    'CSET component_name = multiplier_virtex2p_10_0_102eaf484ea01e39',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlmult_v9_0.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      b: in std_logic_vector(c_b_width - 1 downto 0);
      p: out std_logic_vector(c_output_width - 1 downto 0);
      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '        a => tmp_a,
        clk => clk,
        ce => internal_ce,
        sclr => internal_clr,
        p => tmp_p,
        b => tmp_b',
      'core_name0' => 'multiplier_virtex2p_10_0_102eaf484ea01e39',
      'entity_name.0' => 'xlmult_v9_0',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT RAM-based_Shift_Register Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_init_value = 0',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET create_rpm = false',
    'CSET data_width = 8',
    'CSET default_data_radix = 2',
    'CSET depth = 8',
    'CSET register_final_bit = false',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET shift_type = Variable_Length_Lossless',
    'CSET synchronous_init_value = 0',
    'CSET synchronous_settings = none',
    'CSET component_name = asr_70_v2p_f089efcdbda572f6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdrsr.vhd',
    'templateKeyValues' => {
      'core_instance_text' => '',
      'core_name0' => 'asr_70_v2p_f089efcdbda572f6',
      'entity_name.0' => 'xladdrsr',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 3F, 0, 1, 0;',
    '
]',
    'CSET depth = 5',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_pin = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_Only',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 6',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_After_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_eb8e8636b6ae267d',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlsprom.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => core_addr,
        clk => clk,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_eb8e8636b6ae267d',
      'entity_name.0' => 'xlsprom',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 3',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_2678e693f726e29c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_2678e693f726e29c',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldsamp.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 10.0',
    '# 9.2.04i',
    'CSET ccmimp = Distributed_Memory',
    'CSET clockenable = true',
    'CSET constvalue = 129',
    'CSET dynamic_constant_reload = false',
    'CSET multiplier_construction = Use_Mults',
    'CSET multtype = Parallel_Multiplier',
    'CSET optgoal = Speed',
    'CSET outputwidthhigh = 13',
    'CSET outputwidthlow = 0',
    'CSET pipestages = 2',
    'CSET portatype = Unsigned',
    'CSET portawidth = 8',
    'CSET portbtype = Signed',
    'CSET portbwidth = 6',
    'CSET reloadable = false',
    'CSET roundpoint = 0',
    'CSET sclrcepriority = CE_Overrides_SCLR',
    'CSET syncclear = true',
    'CSET use_custom_output_width = false',
    'CSET userounding = false',
    'CSET zerodetect = false',
    'CSET component_name = multiplier_virtex2p_10_0_102eaf484ea01e39',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlmult_v9_0.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      b: in std_logic_vector(c_b_width - 1 downto 0);
      p: out std_logic_vector(c_output_width - 1 downto 0);
      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '        a => tmp_a,
        clk => clk,
        ce => internal_ce,
        sclr => internal_clr,
        p => tmp_p,
        b => tmp_b',
      'core_name0' => 'multiplier_virtex2p_10_0_102eaf484ea01e39',
      'entity_name.0' => 'xlmult_v9_0',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT RAM-based_Shift_Register Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_init_value = 0',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET create_rpm = false',
    'CSET data_width = 8',
    'CSET default_data_radix = 2',
    'CSET depth = 8',
    'CSET register_final_bit = false',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET shift_type = Variable_Length_Lossless',
    'CSET synchronous_init_value = 0',
    'CSET synchronous_settings = none',
    'CSET component_name = asr_70_v2p_f089efcdbda572f6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdrsr.vhd',
    'templateKeyValues' => {
      'core_instance_text' => '',
      'core_name0' => 'asr_70_v2p_f089efcdbda572f6',
      'entity_name.0' => 'xladdrsr',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 1, 1, 0;',
    '
]',
    'CSET depth = 5',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_pin = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_Only',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 6',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_After_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_f3f458326da29b49',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlsprom.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => core_addr,
        clk => clk,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_f3f458326da29b49',
      'entity_name.0' => 'xlsprom',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 3',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_2678e693f726e29c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_2678e693f726e29c',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldsamp.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 10.0',
    '# 9.2.04i',
    'CSET ccmimp = Distributed_Memory',
    'CSET clockenable = true',
    'CSET constvalue = 129',
    'CSET dynamic_constant_reload = false',
    'CSET multiplier_construction = Use_Mults',
    'CSET multtype = Parallel_Multiplier',
    'CSET optgoal = Speed',
    'CSET outputwidthhigh = 13',
    'CSET outputwidthlow = 0',
    'CSET pipestages = 2',
    'CSET portatype = Unsigned',
    'CSET portawidth = 8',
    'CSET portbtype = Signed',
    'CSET portbwidth = 6',
    'CSET reloadable = false',
    'CSET roundpoint = 0',
    'CSET sclrcepriority = CE_Overrides_SCLR',
    'CSET syncclear = true',
    'CSET use_custom_output_width = false',
    'CSET userounding = false',
    'CSET zerodetect = false',
    'CSET component_name = multiplier_virtex2p_10_0_102eaf484ea01e39',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlmult_v9_0.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      b: in std_logic_vector(c_b_width - 1 downto 0);
      p: out std_logic_vector(c_output_width - 1 downto 0);
      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '        a => tmp_a,
        clk => clk,
        ce => internal_ce,
        sclr => internal_clr,
        p => tmp_p,
        b => tmp_b',
      'core_name0' => 'multiplier_virtex2p_10_0_102eaf484ea01e39',
      'entity_name.0' => 'xlmult_v9_0',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT RAM-based_Shift_Register Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_init_value = 0',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET create_rpm = false',
    'CSET data_width = 8',
    'CSET default_data_radix = 2',
    'CSET depth = 8',
    'CSET register_final_bit = false',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET shift_type = Variable_Length_Lossless',
    'CSET synchronous_init_value = 0',
    'CSET synchronous_settings = none',
    'CSET component_name = asr_70_v2p_f089efcdbda572f6',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdrsr.vhd',
    'templateKeyValues' => {
      'core_instance_text' => '',
      'core_name0' => 'asr_70_v2p_f089efcdbda572f6',
      'entity_name.0' => 'xladdrsr',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 5',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_pin = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_Only',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 6',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_After_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_7d992e82f841c975',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlsprom.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => core_addr,
        clk => clk,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_7d992e82f841c975',
      'entity_name.0' => 'xlsprom',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 3',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_2678e693f726e29c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_2678e693f726e29c',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldsamp.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xldelay.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = false',
    'CSET latency = 1',
    'CSET operation = add',
    'CSET output_options = registered',
    'CSET output_width = 13',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 13',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 13',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_157a7954c44ca5c9',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 13 - 1 downto 0);
      clk: in std_logic:= \'0\';
      ce: in std_logic:= \'0\';
      q: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(13 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        clk => clk,
        ce => internal_ce,
        q => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_157a7954c44ca5c9',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = false',
    'CSET latency = 1',
    'CSET operation = add',
    'CSET output_options = registered',
    'CSET output_width = 11',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 11',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 11',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_458210000024155d',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 11 - 1 downto 0);
      clk: in std_logic:= \'0\';
      ce: in std_logic:= \'0\';
      q: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(11 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        clk => clk,
        ce => internal_ce,
        q => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_458210000024155d',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = false',
    'CSET latency = 1',
    'CSET operation = add',
    'CSET output_options = registered',
    'CSET output_width = 11',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 11',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 11',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_458210000024155d',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 11 - 1 downto 0);
      clk: in std_logic:= \'0\';
      ce: in std_logic:= \'0\';
      q: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(11 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        clk => clk,
        ce => internal_ce,
        q => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_458210000024155d',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = false',
    'CSET latency = 1',
    'CSET operation = add',
    'CSET output_options = registered',
    'CSET output_width = 12',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 12',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 12',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_9a9feaafe28a54ba',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 12 - 1 downto 0);
      clk: in std_logic:= \'0\';
      ce: in std_logic:= \'0\';
      q: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(12 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        clk => clk,
        ce => internal_ce,
        q => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_9a9feaafe28a54ba',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_clear = false',
    'CSET clk_cycles_per_input = 1',
    'CSET clock_enable = true',
    'CSET create_rpm = false',
    'CSET memory_type = Distributed_Memory',
    'CSET multiplier_type = Parallel',
    'CSET nd = false',
    'CSET output_hold_register = false',
    'CSET output_hold_register = true',
    'CSET output_options = Registered',
    'CSET output_width = 32',
    'CSET pipelined = Maximum',
    'CSET port_a_data = Signed',
    'CSET port_a_width = 14',
    'CSET port_b_constant = true',
    'CSET port_b_constant_value = 131072',
    'CSET port_b_data = Unsigned',
    'CSET port_b_width = 18',
    'CSET rdy = false',
    'CSET register_input = false',
    'CSET reloadable = false',
    'CSET rfd = false',
    'CSET synchronous_clear = true',
    'CSET component_name = multiplier_virtex2p_7_0_7cd01ad983d2345c',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcmult.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sclr: in std_logic;
      q: out std_logic_vector(c_output_width - 1 downto 0);
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '      sclr => internal_clr,
      clk => clk,
      ce => internal_ce,
      q => tmp_p,
      a => tmp_a',
      'core_name0' => 'multiplier_virtex2p_7_0_7cd01ad983d2345c',
      'entity_name.0' => 'xlcmult',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlconvert.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => '6293007044e953ed8ffdf9a837845056',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
begin
  op <= "1";
end',
      'crippled_entity' => 'is
  port (
    op : out std_logic_vector((1 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'constant3_bc1e67d7ac',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 8',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 229',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_And_Write',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 8',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_Before_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlspram.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      din: in std_logic_vector(c_width - 1 downto 0);
      we: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => addr,
        clk => clk,
        din => data_in,
        we => core_we,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
      'entity_name.0' => 'xlspram',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 8',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 229',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_And_Write',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 8',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_Before_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlspram.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      din: in std_logic_vector(c_width - 1 downto 0);
      we: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => addr,
        clk => clk,
        din => data_in,
        we => core_we,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
      'entity_name.0' => 'xlspram',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 8',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 229',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_And_Write',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 8',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_Before_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlspram.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      din: in std_logic_vector(c_width - 1 downto 0);
      we: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => addr,
        clk => clk,
        din => data_in,
        we => core_we,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
      'entity_name.0' => 'xlspram',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Binary_Counter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET ce_override_for_load = false',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = TRUE',
    'CSET count_by_value = 1',
    'CSET count_style = count_by_constant',
    'CSET count_to_value = MAX',
    'CSET create_rpm = FALSE',
    'CSET load = FALSE',
    'CSET load_sense = active_high',
    'CSET operation = up',
    'CSET output_width = 8',
    'CSET restrict_count = FALSE',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET synchronous_settings = init',
    'CSET threshold_0 = false',
    'CSET threshold_0_value = MAX',
    'CSET threshold_1 = false',
    'CSET threshold_1_value = MAX',
    'CSET threshold_early = true',
    'CSET threshold_options = registered',
    'CSET component_name = binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcounter_limit.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      clk: in std_logic;
      ce: in std_logic;
      sinit: in std_logic;
      q: out std_logic_vector(op_width - 1 downto 0)',
      'core_instance_text' => '        clk => clk,
        ce => core_ce,
        sinit => core_sinit,
        q => op_net',
      'core_name0' => 'binary_counter_virtex2p_7_0_ff2d32015ee9df2b',
      'entity_name.0' => 'xlcounter_limit',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Single_Port_Block_Memory Virtex2P Xilinx,_Inc. 6.1',
    '# 9.2.04i',
    'CSET active_clock_edge = Rising_Edge_Triggered',
    'CSET additional_output_pipe_stages = 0',
    'CSET coefficient_file = [
',
    '  MEMORY_INITIALIZATION_RADIX = 16;',
    '  MEMORY_INITIALIZATION_VECTOR = 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0;',
    '
]',
    'CSET depth = 229',
    'CSET enable_pin = TRUE',
    'CSET enable_pin_polarity = Active_High',
    'CSET global_init_value = 0',
    'CSET handshaking_pins = FALSE',
    'CSET has_limit_data_pitch = FALSE',
    'CSET init_value = 0',
    'CSET initialization_pin_polarity = Active_High',
    'CSET limit_data_pitch = 18',
    'CSET load_init_file = TRUE',
    'CSET port_configuration = Read_And_Write',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET primitive_selection = Optimize_For_Area',
    'CSET register_inputs = FALSE',
    'CSET width = 8',
    'CSET write_enable_polarity = Active_High',
    'CSET write_mode = Read_Before_Write',
    'CSET component_name = single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlspram.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      addr: in std_logic_vector(c_address_width - 1 downto 0);
      clk: in std_logic;
      din: in std_logic_vector(c_width - 1 downto 0);
      we: in std_logic;
      en: in std_logic;
      dout: out std_logic_vector(c_width - 1 downto 0)',
      'core_instance_text' => '        addr => addr,
        clk => clk,
        din => data_in,
        we => core_we,
        en => core_ce,
        dout => core_data_out',
      'core_name0' => 'single_port_block_memory_virtex2p_6_1_9fca739df23a8df5',
      'entity_name.0' => 'xlspram',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = { 'sourceFile' => 'D:/SYSGEN/sysgen/hdl/xlregister.vhd', };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = true',
    'CSET latency = 0',
    'CSET operation = subtract',
    'CSET output_options = non_registered',
    'CSET output_width = 10',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 10',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 10',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_f4a3f2865eaa6412',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 10 - 1 downto 0);
      s: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(10 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        s => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_f4a3f2865eaa6412',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Adder_Subtracter Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET async_init_value = 0',
    'CSET asynchronous_settings = none',
    'CSET bypass = false',
    'CSET bypass_sense = active_high',
    'CSET carry_borrow_input = false',
    'CSET carry_borrow_output = false',
    'CSET ce_override_for_bypass = true',
    'CSET ce_overrides = sync_controls_override_ce',
    'CSET clock_enable = true',
    'CSET create_rpm = true',
    'CSET latency = 0',
    'CSET operation = add',
    'CSET output_options = non_registered',
    'CSET output_width = 19',
    'CSET overflow_output = false',
    'CSET port_a_sign = signed',
    'CSET port_a_width = 19',
    'CSET port_b_constant = false',
    'CSET port_b_constant_value = 0',
    'CSET port_b_sign = signed',
    'CSET port_b_width = 19',
    'CSET set_clear_priority = clear_overrides_set',
    'CSET sync_init_value = 0',
    'CSET component_name = adder_subtracter_virtex2p_7_0_bb9ad611c94a03b2',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xladdsub.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      a: in std_logic_vector( 19 - 1 downto 0);
      s: out std_logic_vector(c_output_width - 1 downto 0);
      b: in std_logic_vector(19 - 1 downto 0)',
      'core_instance_text' => '        a => full_a,
        s => core_s,
        b => full_b',
      'core_name0' => 'adder_subtracter_virtex2p_7_0_bb9ad611c94a03b2',
      'entity_name.0' => 'xladdsub',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = [
    'SELECT Multiplier Virtex2P Xilinx,_Inc. 7.0',
    '# 9.2.04i',
    'CSET asynchronous_clear = false',
    'CSET clk_cycles_per_input = 1',
    'CSET clock_enable = false',
    'CSET create_rpm = false',
    'CSET memory_type = Distributed_Memory',
    'CSET multiplier_type = Parallel',
    'CSET nd = false',
    'CSET output_hold_register = false',
    'CSET output_hold_register = false',
    'CSET output_options = Non_Registered',
    'CSET output_width = 18',
    'CSET pipelined = Minimum',
    'CSET port_a_data = Signed',
    'CSET port_a_width = 10',
    'CSET port_b_constant = true',
    'CSET port_b_constant_value = 3',
    'CSET port_b_data = Unsigned',
    'CSET port_b_width = 8',
    'CSET rdy = false',
    'CSET register_input = false',
    'CSET reloadable = false',
    'CSET rfd = false',
    'CSET synchronous_clear = false',
    'CSET component_name = multiplier_virtex2p_7_0_a1733d7085b607c4',
    'GENERATE',
  ];
  push(@$results, &SgGenerateCores::saveXcoSequence($instrs));
  $instrs = {
    'sourceFile' => 'hdl/xlcmult.vhd',
    'templateKeyValues' => {
      'core_component_def' => '      o: out std_logic_vector(c_output_width - 1 downto 0);
      a: in std_logic_vector(c_a_width - 1 downto 0)',
      'core_instance_text' => '      o => tmp_p,
      a => tmp_a',
      'core_name0' => 'multiplier_virtex2p_7_0_a1733d7085b607c4',
      'entity_name.0' => 'xlcmult',
      'needs_core' => 1,
    },
  };
  push(@$results, &SgDeliverFile::saveCollaborationInfo($instrs));
  $instrs = {
    'entity_declaration_hash' => 'ad3ff8f10122807b5af4b32af8486547',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
begin
  op <= "00000101";
end',
      'crippled_entity' => 'is
  port (
    op : out std_logic_vector((8 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'constant_2dac288e77',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  $instrs = {
    'entity_declaration_hash' => 'bc5410007766b1283722a2da65be24b6',
    'sourceFile' => 'hdl/xlmcode.vhd',
    'templateKeyValues' => {
      'crippled_architecture' => 'is
begin
  op <= "00000010";
end',
      'crippled_entity' => 'is
  port (
    op : out std_logic_vector((8 - 1) downto 0);
    clk : in std_logic;
    ce : in std_logic;
    clr : in std_logic);
end',
      'entity_name' => 'constant1_e1a28c431e',
    },
  };
  push(@$results, &SgDeliverFile::deliverFile($instrs));
  local *wrapup = $Sg::{'wrapup'};
  push(@$results, &Sg::wrapup())   if (defined(&wrapup));
  local *wrapup = $SgDeliverFile::{'wrapup'};
  push(@$results, &SgDeliverFile::wrapup())   if (defined(&wrapup));
  local *wrapup = $SgGenerateCores::{'wrapup'};
  push(@$results, &SgGenerateCores::wrapup())   if (defined(&wrapup));
  use Carp qw(croak);
  $ENV{'SYSGEN'} = 'D:/SYSGEN/sysgen';
  open(RESULTS, '> D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5') || 
    croak 'couldn\'t open D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5';
  binmode(RESULTS);
  print RESULTS &Sg::toString($results) . "\n";
  close(RESULTS) || 
    croak 'trouble writing D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5';
};

if ($@) {
  open(RESULTS, '> D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5') || 
    croak 'couldn\'t open D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5';
  binmode(RESULTS);
  print RESULTS $@ . "\n";
  close(RESULTS) || 
    croak 'trouble writing D:/SYSGEN/common/edgePenh_tb/sysgen/script_results5';
  exit(1);
}

exit(0);
